---
title: AddressErrors.addressLine
slug: Web/API/AddressErrors/addressLine
tags:
  - API
  - AddressErrors
  - Error
  - Payment Request
  - Payment Request API
  - Property
  - Reference
  - Validation
  - addressLine
  - payment
---
<div>{{APIRef("Payment Request API")}}</div>

<p><span class="seoSummary">An object based on {{domxref("AddressErrors")}} includes an <code><strong>addressLine</strong></code> property when validation of the address finds one or more errors in the array of strings in the address's {{domxref("PaymentAddress.addressLine", "addressLine")}}. The returned string explains the error and should offer suggestions for how to correct it.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>addressLineError</em> = <em>AddressErrors</em>.addressLine;</pre>

<h3 id="Value">Value</h3>

<p>If an error occurred during validation of the address due to one of the strings in the {{domxref("PaymentAddress.addressLine", "addressLine")}} array having an invalid value, this property is set to a {{domxref("DOMString")}} providing a human-readable error message explaining the validation error.</p>

<p>The text should also include, when possible, advice about how to go about correcting the error.</p>

<p>If the {{domxref("PaymentAddress")}} object's <code>addressLine</code> property was determined to be valid, this property is not included in the <code>AddressErrors</code> dictionary.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Payment','#dom-addresserrors-addressline','AddressErrors.addressLine')}}</td>
   <td>{{Spec2('Payment')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.AddressErrors.addressLine")}}</p>
</div>
